#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n,u,s;
    cin>>n>>u>>s;
    vector<int> a(n);
    int i;
    for(i=0;i<n;i++){
        cin>>a[i];
    }
    vector<long long> pref(n+1);
    pref[0]=0ll;
    for(i=1;i<=n;i++){
        pref[i]=pref[i-1]+a[i-1];
    }
    vector<long long> s_pref(n+1);
    s_pref[0]=0ll;
    for(i=1;i<s;i++){
        s_pref[i]=a[i-1];
    }
    for(i=s;i<=n;i++){
        s_pref[i]=s_pref[i-s]+a[i-1];
    }
    long long trenutna_suma;
    long long maxx=pref[u]-s_pref[(u/s)*s];
    for(i=1;i<n-u+1;i++){
        trenutna_suma=pref[u+i]-pref[i];
        trenutna_suma+=s_pref[i];
        trenutna_suma-=s_pref[i+(u/s)*s];
        if(trenutna_suma>maxx){
            maxx=trenutna_suma;
        }
    }
    cout<<maxx<<endl;
    return 0;
}
